<?php
// $Horde: turba/lib/iContact.php,v 1.5 2000/08/14 18:58:11 chuck Exp $

require_once './lib/Source.php';

/**
 * The Turba_iContact:: class provides an interface for contacts and
 * contact groups.
 *
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @author  Jon Parise <jon@csh.rit.edu>
 * @version $Revision: 1.5 $
 * @since   Turba 0.0.1
 */
class Turba_iContact {

    // {{{ properties

    /** Underlying instance of Turba_Source. */
    var $source;

    /** Hash of attributes for this contact. */
    var $attributes;

    // }}}

    // {{{ Turba_iContact()
    /**
     * Constructs a new Turba_iContact object.
     *
     * @param $source       Hash describing the contact Source.
     * @param $attributes   (optional) Hash of attributes for this contact.
     */
    function Turba_iContact($source, $attributes = array())
    {
        $this->attributes = $attributes();

        $this->source = new Turba_Source($source['type'],
            $source['params'], $source['map']);
    }
    // }}}

    // {{{ getValue()
    /**
     * Returns the value of the specified attribute.
     *
     * @param $attribute    The attribute to retrieve.
     *
     * @return              The value of $attribute.
     */
    function getValue($attribute)
    {
        return $this->attributes[$attribute];
    }
    // }}}

    // {{{ setValue()
    /**
     * Sets the value of the specified attribute.
     *
     * @param $attribute    The attribute to set.
     */
    function setValue($attribute, $value)
    {
        $this->attributes[$attribute] = $value;
    }
    // }}}

    // {{{ isGroup()
    /**
     * Returns true if this instance is a member of a group.
     *
     * @return              True if this instances is the member of a group.
     */
    function isGroup()
    {
        return false;
    }
    // }}}
}

?>
