<?php
/*
 * File: search.php
 * $Author: chuck $
 * $Revision: 1.21 $
 * $Date: 2000/09/15 15:37:34 $
 *
 * Turba: Copyright 2000 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

require '../config/horde.php';
require './config/conf.php';
error_reporting($conf['debug_level']);

require_once '../lib/package.Registry.php';
require_once '../lib/Horde.php';
require_once './lib/Turba.php';
require_once './lib/Source.php';
require './config/sources.php';

$registry = new Registry();

session_name($horde['session_name']);
@session_start();

/* Build the directory sources select widget. */
$source_options = '';
while (list($key, $entry) = each($cfgSources)) {
    $source_options .= "<option value=\"$key\">";
    $source_options .= $entry['title'] . "</option>\n";
}

$title = _("Directory Search");
require $conf['paths']['templates'] . '/common-header.inc';
require $conf['paths']['templates'] . '/search/search_head.inc';

/* run search if there is one */
if (isset($criteria) && isset($val) && isset($source)) {
    $driver = new Turba_Source($source,
                               $cfgSources[$source]['title'],
                               $cfgSources[$source]['type'],
                               $cfgSources[$source]['params'],
                               $cfgSources[$source]['map'],
                               $cfgSources[$source]['public'],
                               $cfgSources[$source]['readonly']);
    if (!is_array($newaddresses = $driver->search(array($criteria => $val), LASTNAME))) {
        echo 'ERROR: ' . $driver->error() . '<br>';
    }
}
/* done running search */

if (empty($clear)) {
    
    if (isset($addresses) && is_array($addresses)) {
        for ($i = 0; $i < count($addresses); $i++) {
            $address = unserialize(base64_decode($addresses[$i]));
            if (is_array($address) && sizeof($address > 1)) {
                $displayed[$address['fullname'] . $address['email']] = 1;
                include $conf['paths']['templates'] . '/search/search_row_old.inc';
            }
        }
    }
    
    if (isset($newaddresses) && is_array($newaddresses)) {
        foreach ($newaddresses as $newaddress) {
            if (is_array($newaddress) && count($newaddress > 1) && empty($displayed[$newaddress['fullname'] . $newaddress['email']])) {
                $displayed[$newaddress['fullname'] . $newaddress['email']] = 1;
                if (empty($newaddress['alias'])) $newaddress['alias'] = '';
                include $conf['paths']['templates'] . '/search/search_row.inc';
            }
        }
    }
}

require $conf['paths']['templates'] . '/search/search_foot.inc';
require $conf['paths']['templates'] . '/common-footer.inc';
$registry->shutdown();

?>
